body {
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
    min-height: 100vh;

    background: linear-gradient(
        135deg,
        #0f172a 0%,
        #1e3a8a 35%,
        #2563eb 70%,
        #38bdf8 100%
    );
}

.game-container {
    display: flex;
    align-items: stretch;

    max-width: 1200px;
    min-height: 650px;

    margin: 30px auto;

    background: rgba(255, 255, 255, 0.95);

    border-radius: 20px;

    box-shadow: 0 20px 50px rgba(0, 0, 0, 0.35);

    overflow: hidden;
}

.sidebar {
    width: 35%;
    min-width: 350px;

    padding: 20px;

    box-sizing: border-box;
}

.sidebar h1 {
    margin-top: 0;
    font-size: 28px;
}

.sidebar h2 {
    background-color: #2f8dbd;
    color: white;
    padding: 10px;
    font-size: 18px;
}

#message {
    font-weight: bold;
    color: #222;
}

.score {
    font-size: 18px;
    font-weight: bold;
}

#restart {
    padding: 10px 15px;
    font-weight: bold;
    border: none;
    background-color: #0D1B2E;
    color: white;
    cursor: pointer;
}

#restart:hover {
    background-color: #2f8dbd;
}

#final-result {
    margin-top: 30px;
    font-size: 34px;
    font-weight: bold;
}

#map {
    width: 65%;
    height: 600px;
    min-width: 700px;
    position: relative;
    display: block;
    flex-shrink: 0;
}

@media screen and (max-width: 800px) {
    .game-container {
        flex-direction: column;
    }

    .sidebar,
    #map {
        width: 100%;
    }
}

.pulse {
    position: absolute;

    border: 4px solid white;

    animation: squarePulse 1.2s ease-out forwards;

    pointer-events: none;

    z-index: 999;
}

@keyframes squarePulse {
    0% {
        transform: scale(0.3);
        opacity: 1;
    }

    100% {
        transform: scale(1.4);
        opacity: 0;
    }
}

@keyframes radarPulse {
    0% {
        transform: scale(0.2);
        opacity: 1;
    }

    100% {
        transform: scale(2.4);
        opacity: 0;
    }
}